cURL
curl https://api.exponent.finance/token-metadata \
-H 'Content-Type: application/json' \
-d '{"mints": ["So11111111111111111111111111111111111111112"]}'
import requests
response = requests.post(
"https://api.exponent.finance/token-metadata",
json={'mints': ['So11111111111111111111111111111111111111112']},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/token-metadata", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({"mints": ["So11111111111111111111111111111111111111112"]}),
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"tokens": [
{
"mint": "So11111111111111111111111111111111111111112",
"name": "Solana",
"symbol": "SOL",
"decimals": 9,
"imageUrl": "https://cdn.exponent.finance/tokens/So11111111111111111111111111111111111111112.svg?v=v2"
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Tokens and prices
Token metadata
Resolve display metadata for assets, SY, PT, YT, and tranching LP tokens.
POST
/
token-metadata
cURL
curl https://api.exponent.finance/token-metadata \
-H 'Content-Type: application/json' \
-d '{"mints": ["So11111111111111111111111111111111111111112"]}'
import requests
response = requests.post(
"https://api.exponent.finance/token-metadata",
json={'mints': ['So11111111111111111111111111111111111111112']},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/token-metadata", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({"mints": ["So11111111111111111111111111111111111111112"]}),
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"tokens": [
{
"mint": "So11111111111111111111111111111111111111112",
"name": "Solana",
"symbol": "SOL",
"decimals": 9,
"imageUrl": "https://cdn.exponent.finance/tokens/So11111111111111111111111111111111111111112.svg?v=v2"
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Request body
string[]
required
Up to 100 unique, valid Solana mint addresses. An empty array is allowed.
cURL
curl https://api.exponent.finance/token-metadata \
-H 'Content-Type: application/json' \
-d '{"mints": ["So11111111111111111111111111111111111111112"]}'
import requests
response = requests.post(
"https://api.exponent.finance/token-metadata",
json={'mints': ['So11111111111111111111111111111111111111112']},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/token-metadata", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({"mints": ["So11111111111111111111111111111111111111112"]}),
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"tokens": [
{
"mint": "So11111111111111111111111111111111111111112",
"name": "Solana",
"symbol": "SOL",
"decimals": 9,
"imageUrl": "https://cdn.exponent.finance/tokens/So11111111111111111111111111111111111111112.svg?v=v2"
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}